| OpenCV 3.4.3 Open Source Computer Vision

Public Member Functions | List of all members
cv::ximgproc::segmentation::GraphSegmentation Class Referenceabstract
Extended Image Processing » Image segmentation

Graph Based Segmentation Algorithm. The class implements the algorithm described in [55] . More...

`#include "segmentation.hpp"`

Inheritance diagram for cv::ximgproc::segmentation::GraphSegmentation:

## Public Member Functions
virtual float | getK ()=0
virtual int | getMinSize ()=0
virtual double | getSigma ()=0
virtual void | processImage (InputArray src, OutputArray dst)=0
| Segment an image and store output in dst. More...
virtual void | setK (float k)=0
virtual void | setMinSize (int min_size)=0
virtual void | setSigma (double sigma)=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Graph Based Segmentation Algorithm. The class implements the algorithm described in [55] .

## Member Function Documentation

## § getK()

virtual float cv::ximgproc::segmentation::GraphSegmentation::getK | ( |  | ) |
| pure virtual

Python:
| retval | = | cv.ximgproc_segmentation_GraphSegmentation.getK( |  | )

## § getMinSize()

virtual int cv::ximgproc::segmentation::GraphSegmentation::getMinSize | ( |  | ) |
| pure virtual

Python:
| retval | = | cv.ximgproc_segmentation_GraphSegmentation.getMinSize( |  | )

## § getSigma()

virtual double cv::ximgproc::segmentation::GraphSegmentation::getSigma | ( |  | ) |
| pure virtual

Python:
| retval | = | cv.ximgproc_segmentation_GraphSegmentation.getSigma( |  | )

## § processImage()

virtual void cv::ximgproc::segmentation::GraphSegmentation::processImage | ( | InputArray | src,
|  | OutputArray | dst
| ) |  |
| pure virtual

Python:
| dst | = | cv.ximgproc_segmentation_GraphSegmentation.processImage( | src[, dst] | )

Segment an image and store output in dst.

Parameters

  src | The input image. Any number of channel (1 (Eg: Gray), 3 (Eg: RGB), 4 (Eg: RGB-D)) can be provided
  dst | The output segmentation. It's a CV_32SC1 Mat with the same number of cols and rows as input image, with an unique, sequential, id for each pixel.

## § setK()

virtual void cv::ximgproc::segmentation::GraphSegmentation::setK | ( | float | k | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_segmentation_GraphSegmentation.setK( | k | )

## § setMinSize()

virtual void cv::ximgproc::segmentation::GraphSegmentation::setMinSize | ( | int | min_size | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_segmentation_GraphSegmentation.setMinSize( | min_size | )

## § setSigma()

virtual void cv::ximgproc::segmentation::GraphSegmentation::setSigma | ( | double | sigma | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_segmentation_GraphSegmentation.setSigma( | sigma | )

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/ximgproc/include/opencv2/ximgproc/segmentation.hpp